# TODO:
# - cleanups in lib directory -- replace jar files
#   with package dependencies
# I work on following TODOs in JPACKAGE branch:
# - use source package
# - patch for --local-repository: http://codehaus01a.managed.contegix.com/browse/MNG-939
# - jpp sync http://www.jpackage.org/cgi-bin/viewvc.cgi/rpms/free/maven2/?root=jpackage&pathrev=JPACKAGE-1_7

Summary:	Java project management and project comprehension tool
Summary(pl.UTF-8):	Narzędzie do zarządzania projektami Javy ułatwiające ich zrozumienie
Name:		maven
Version:	3.9.7
Release:	1
License:	Apache
Group:		Development/Languages/Java
Source0:	https://www.apache.org/dist/maven/maven-3/%{version}/binaries/apache-%{name}-%{version}-bin.tar.gz
# Source0-md5:	82cbef5d0e079c6f46f5658f0f1ce2b7
URL:		http://maven.apache.org/
Requires:	jdk >= 1.8
ExclusiveArch:	%{ix86} %{x8664} %{arm} aarch64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%define		_noautoreq_java	ClassDataVersion

%description
Maven is a Java project management and project comprehension tool.
Maven is based on the concept of a project object model (POM) in that
all the artifacts produced by Maven are a result of consulting a well
defined model for your project.

The intent of Maven is to make intra-project development highly
manageable in the hopes of providing more time for cross-project
development. You might call it cross-project pollination or the
sharing of project development knowledge, this is what Maven attempts
to encourage.

%description -l pl.UTF-8
Maven to narzędzie do zarządzania projektami w Javie, ułatwiające ich
zrozumienie. Jest oparty na idei obiektowego modelu projektu (POM -
Project Object Model), w której wszystkie wytwory Mavena są wynikiem
konsultowania z dobrze zdefiniowanym modelem projektu.

Intencją Mavena jest uczynić rozwój wewnątrzprojektowy wysoko
zarządzalnym w nadziei pozostawienia większej ilości czasu na rozwój
międzyprojektowy. Można to nazwać zapylaniem międzyprojektowym lub
dzieleniem wiedzy o rozwoju projektów - do tego Maven próbuje
zachęcić.

%prep
%setup -q -n apache-%{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/bin}
ln -sf %{_datadir}/%{name}/bin/mvn $RPM_BUILD_ROOT%{_bindir}/mvn

install -d $RPM_BUILD_ROOT
install bin/mvn $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp -a bin/m2.conf $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp -a boot conf lib $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mvn
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%{_datadir}/%{name}/bin/m2.conf
%attr(755,root,root) %{_datadir}/%{name}/bin/mvn
%{_datadir}/%{name}/boot
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/lib
%changelog
* Tue Jun 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/maven.git;a=log;h=master

* Sun Jun 02 2024 Jan Palus <atler@pld-linux.org> e3cafdc
- up to 3.9.7

* Tue Dec 05 2023 Jan Palus <atler@pld-linux.org> e104b32
- up to 3.9.6

* Mon Oct 16 2023 Jan Palus <atler@pld-linux.org> 8f047ea
- up to 3.9.5

* Thu Aug 10 2023 Jan Palus <atler@pld-linux.org> d4ec464
- up to 3.9.4

* Thu Aug 10 2023 Jan Palus <atler@pld-linux.org> d84d572
- extend EA: with %{arm} and aarch64

* Tue Jul 25 2023 Jan Palus <atler@pld-linux.org> 49f6d39
- disable ClassDataVersion autoreq; rel 2

* Thu Jul 20 2023 Jan Palus <atler@pld-linux.org> a2465a2
- up to 3.9.3

* Mon Jan 09 2023 Jan Palus <atler@pld-linux.org> 96a368f
- up to 3.8.7

* Mon Jun 20 2022 Jan Palus <atler@pld-linux.org> 4ac0a67
- up to 3.8.6

* Thu Apr 07 2022 Jan Palus <atler@pld-linux.org> 7c12b1c
- up to 3.8.5

* Mon Dec 06 2021 Jan Palus <atler@pld-linux.org> 1bfe91b
- up to 3.8.4

* Wed Oct 13 2021 Jan Palus <atler@pld-linux.org> 26d737a
- up to 3.8.3

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> cb5880a
- up to 3.8.2

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 38dda6d
- disable debug packages; rel 2

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> e99ed4a
- up to 3.8.1 (fixes CVE-2021-26291 CVE-2020-13956)

* Tue Dec 03 2019 Jan Palus <atler@pld-linux.org> f8903ff
- up to 3.6.3

* Wed Sep 25 2019 Jan Palus <atler@pld-linux.org> 73749db
- up to 3.6.2

* Sat Apr 13 2019 Jan Palus <atler@pld-linux.org> 8967765
- up to 3.6.1

* Sun Nov 04 2018 Jan Palus <atler@pld-linux.org> ac84180
- up to 3.6.0

* Fri Jun 29 2018 Jan Palus <atler@pld-linux.org> e40c6cf
- up to 3.5.4

